#
# spec file for package apache2-mod_authn_sasl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apache2-mod_authn_sasl
Version:        1.2
Release:        5.2
Summary:        SASL Authentication module for httpd
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://mod-authn-sasl.sourceforge.net/
Source0:        mod_authn_sasl-%{version}.tar.bz2
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
BuildRequires:  cyrus-sasl-devel
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_authn_sasl is a module for the Apache HTTP Server designed to
provide a SASL authentication backend for HTTP Basic Authentication.

%prep
%setup -q -n mod_authn_sasl-%{version}

%build
%configure --with-apxs=%{apache_apxs}
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}/apache2

install -D -m 0755 .libs/mod_authn_sasl.so \
        %{buildroot}/%{_libdir}/apache2/mod_authn_sasl.so

rm doc/css/Makefile*
rm doc/images/Makefile*

%post
a2enmod -l | grep 'mod_authn_sasl' || a2enmod mod_authn_sasl

%postun
%if 0%{?sles_version} == 0
a2enmod -l | grep 'mod_authn_sasl' && a2dismod mod_authn_sasl
%endif

%check
set +x
%apache_test_module_load -m authn_sasl
set -x

%files
%defattr(-,root,root,-)
%doc doc/index.html doc/css doc/images
%dir %{_libdir}/apache2
%{_libdir}/apache2/mod_authn_sasl.so

%changelog
* Fri Sep 25 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Mon Nov  3 2014 pgajdos@suse.com
- add missing apache-rpm-macros buildrequires
* Fri Oct 31 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Wed Feb  6 2013 aj@ajaissle.de
- Updated spec file (removed makefile junk, updated group)
* Tue Jan 22 2013 aj@ajaissle.de
- Initial SUSE package created
